Page MenuHomePhabricator

In Safari, VE crashes while trying to save a page after adding a Map/Graph
Closed, ResolvedPublic1 Story Points

Description

Steps to reproduce:

  1. Open a page with VE in Safari
  2. Add a map or a Graph
  3. Click on "Save"

Observe that, there is an error in the console "createElementInvalidCharacterError: DOM Exception 5: An invalid or illegal character was specified, such as in an XML name" and VE fails to save the page after that.

Event Timeline

Ryasmeen created this task.Feb 6 2017, 9:44 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 6 2017, 9:44 PM
Ryasmeen renamed this task from In Safari, VE crashes while trying to save a page after adding a map to In Safari, VE crashes while trying to save a page after adding a Map/Graph.Feb 6 2017, 9:51 PM
Ryasmeen updated the task description. (Show Details)
Restricted Application added a project: Discovery. · View Herald TranscriptFeb 6 2017, 10:33 PM
Jdforrester-WMF triaged this task as High priority.Feb 7 2017, 8:08 PM
Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF added a subscriber: Esanders.

Change 336464 had a related patch set uploaded (by Esanders):
Define default HTML types for extension nodes

https://gerrit.wikimedia.org/r/336464

Change 336464 merged by jenkins-bot:
Define default HTML types for extension nodes

https://gerrit.wikimedia.org/r/336464

Ryasmeen closed this task as Resolved.Feb 10 2017, 9:20 PM
Ryasmeen edited projects, added Verified; removed Patch-For-Review.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptFeb 10 2017, 9:20 PM
Ryasmeen moved this task from To be Verified to Verified on the User-Ryasmeen board.